=== debian/changelog ===
tcmu (1.4.0-1) unstable; urgency=medium

  * First release (Closes: #933343)

 -- Sebastien Delafond <seb@debian.org>  Mon, 29 Jul 2019 16:01:03 +0200
