=== debian/control ===
Source: tcmu
Section: admin
Priority: optional
Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
Uploaders: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 12), cmake, kmod, libkmod-dev, libglib2.0-dev, libnl-genl-3-dev, pkg-config, zlib1g-dev, librbd-dev, librados-dev
Standards-Version: 4.3.0
Homepage: https://github.com/open-iscsi/tcmu-runner
Vcs-Browser: https://salsa.debian.org/freexian-team/tcmu-runner
Vcs-Git: https://salsa.debian.org/freexian-team/tcmu-runner.git

Package: libtcmu2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library that handles the userspace side of the LIO TCM-User backstore
 LIO is the SCSI target in the Linux kernel. It is entirely kernel
 code, and allows exported SCSI logical units (LUNs) to be backed by
 regular files or block devices. But, if one want to get fancier with
 the capabilities of the device one is emulating, the kernel is not
 necessarily the right place. While there are userspace libraries for
 compression, encryption, and clustered storage solutions like Ceph or
 Gluster, these are not accessible from the kernel.
 .
 The TCMU userspace-passthrough backstore allows a userspace process
 to handle requests to a LUN. But since the kernel-user interface that
 TCMU provides must be fast and flexible, it is complex enough that
 one would like to avoid each userspace handler having to write boilerplate
 code.
 .
 tcmu-runner handles the messy details of the TCMU interface -- UIO,
 netlink, pthreads, and DBus -- and exports a more friendly C plugin
 module API. Modules using this API are called "TCMU
 handlers". Handler authors can write code just to handle the SCSI
 commands as desired, and can also link with whatever userspace
 libraries they like.
 .
 This is the library package

Package: tcmu-runner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Daemon that handles the userspace side of the LIO TCM-User backstore
 LIO is the SCSI target in the Linux kernel. It is entirely kernel
 code, and allows exported SCSI logical units (LUNs) to be backed by
 regular files or block devices. But, if one want to get fancier with
 the capabilities of the device one is emulating, the kernel is not
 necessarily the right place. While there are userspace libraries for
 compression, encryption, and clustered storage solutions like Ceph or
 Gluster, these are not accessible from the kernel.
 .
 The TCMU userspace-passthrough backstore allows a userspace process
 to handle requests to a LUN. But since the kernel-user interface that
 TCMU provides must be fast and flexible, it is complex enough that
 one would like to avoid each userspace handler having to write boilerplate
 code.
 .
 tcmu-runner handles the messy details of the TCMU interface -- UIO,
 netlink, pthreads, and DBus -- and exports a more friendly C plugin
 module API. Modules using this API are called "TCMU
 handlers". Handler authors can write code just to handle the SCSI
 commands as desired, and can also link with whatever userspace
 libraries they like.
 .
 This is the daemon package
