=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export CMAKE_OPTIONS := \
  -Dwith-glfs=false \
  -DSUPPORT_SYSTEMD=ON \
  -DCMAKE_INSTALL_PREFIX=/usr

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_OPTIONS)

override_dh_auto_install:
	dh_auto_install $@
	find .
	mkdir -p debian/tmp/lib/systemd/system
	mv debian/tmp/usr/lib/systemd/system/tcmu-runner.service debian/tmp/lib/systemd/system/tcmu-runner.service
	rm -r debian/tmp/usr/lib/systemd

override_dh_install:
	dh_install
	cd debian/libtcmu2 ; find . -type f -exec rm -fr ../tcmu-runner/{} \;
