## tcmu 1.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 2.8 FATAL_ERROR)
 project (tcmu-runner C)
-set(VERSION 1.4.0)
+set(VERSION 1.5.2)
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wall -Wdeclaration-after-statement -std=c99")
 
 include(GNUInstallDirs)
@@ -11,6 +11,9 @@
 option(with-glfs "build Gluster glfs handler" true)
 option(with-qcow "build qcow handler" true)
 option(with-rbd "build Ceph rbd handler" true)
+option(with-zbc "build zbc handler" true)
+option(with-fbo "build fbo handler" true)
+option(with-tcmalloc "link against tcmalloc" true)
 
 find_library(LIBNL_LIB nl-3)
 find_library(LIBNL_GENL_LIB nl-genl-3)
@@ -32,6 +35,11 @@
 
 find_library(PTHREAD pthread)
 find_library(DL dl)
+
+if (with-tcmalloc)
+  find_library(TCMALLOC_LIB tcmalloc)
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-builtin-malloc -fno-builtin-calloc -fno-builtin-realloc -fno-builtin-free")
+endif(with-tcmalloc)
 
 # Stuff for building the shared library
 add_library(tcmu
@@ -48,6 +56,7 @@
   )
 set_target_properties(tcmu
   PROPERTIES
+  VERSION 2.2
   SOVERSION "2"
   )
 target_include_directories(tcmu
@@ -59,8 +68,9 @@
   ${LIBNL_LIB}
   ${LIBNL_GENL_LIB}
   ${GLIB_LIBRARIES}
-  )
-install(TARGETS tcmu LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} NAMELINK_SKIP)
+  ${TCMALLOC_LIB}
+  )
+install(TARGETS tcmu LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
 # Stuff for building the static library
 add_library(tcmu_static
@@ -81,6 +91,7 @@
   )
 target_link_libraries(tcmu_static
   ${GLIB_LIBRARIES}
+  ${TCMALLOC_LIB}
   )
 
 # Stuff for building the main binary
@@ -90,6 +101,7 @@
   tcmur_device.c
   target.c
   alua.c
+  scsi.c
   main.c
   tcmuhandler-generated.c
   )
@@ -105,12 +117,14 @@
   ${PTHREAD}
   ${DL}
   ${KMOD_LIBRARIES}
+  ${TCMALLOC_LIB}
   -Wl,--no-export-dynamic
   -Wl,--dynamic-list=${CMAKE_SOURCE_DIR}/main-syms.txt
   )
 install(TARGETS tcmu-runner RUNTIME DESTINATION bin)
 
 add_executable(tcmu-synthesizer
+  scsi.c
   tcmu-synthesizer.c
   )
 target_link_libraries(tcmu-synthesizer tcmu)
@@ -121,6 +135,7 @@
   )
 target_link_libraries(tcmu-synthesizer
   ${GLIB_LIBRARIES}
+  ${TCMALLOC_LIB}
   )
 
 install(TARGETS RUNTIME DESTINATION bin)
@@ -154,39 +169,48 @@
   PUBLIC ${PROJECT_SOURCE_DIR}/ccan
   )
 
-# Stuff for building the file optical handler
-add_library(handler_file_optical
-  SHARED
-  file_optical.c
-  )
-set_target_properties(handler_file_optical
-  PROPERTIES
-  PREFIX ""
-  )
-target_include_directories(handler_file_optical
-  PUBLIC ${PROJECT_SOURCE_DIR}/ccan
-  )
-target_link_libraries(handler_file_optical ${PTHREAD})
-
-# Stuff for building the file zbc handler
-add_library(handler_file_zbc
-  SHARED
-  file_zbc.c
-  )
-set_target_properties(handler_file_zbc
-  PROPERTIES
-  PREFIX ""
-  )
-target_include_directories(handler_file_zbc
-  PUBLIC ${PROJECT_SOURCE_DIR}/ccan
-  )
-install(TARGETS handler_file_zbc DESTINATION ${CMAKE_INSTALL_LIBDIR}/tcmu-runner)
+if (with-fbo)
+	# Stuff for building the file optical handler
+	add_library(handler_file_optical
+  	SHARED
+	scsi.c
+  	file_optical.c
+  	)
+	set_target_properties(handler_file_optical
+  	PROPERTIES
+  	PREFIX ""
+  	)
+	target_include_directories(handler_file_optical
+  	PUBLIC ${PROJECT_SOURCE_DIR}/ccan
+  	)
+	target_link_libraries(handler_file_optical ${PTHREAD} ${TCMALLOC_LIB})
+	install(TARGETS handler_file_optical DESTINATION ${CMAKE_INSTALL_LIBDIR}/tcmu-runner)
+endif (with-fbo)
 
 # The minimal library consumer
 add_executable(consumer
+  scsi.c
   consumer.c
   )
 target_link_libraries(consumer tcmu)
+
+if (with-zbc)
+	# Stuff for building the file zbc handler
+	add_library(handler_file_zbc
+	  SHARED
+	  scsi.c
+	  file_zbc.c
+	  )
+	set_target_properties(handler_file_zbc
+	  PROPERTIES
+	  PREFIX ""
+	  )
+	target_include_directories(handler_file_zbc
+	  PUBLIC ${PROJECT_SOURCE_DIR}/ccan
+	  )
+	target_link_libraries(handler_file_zbc ${TCMALLOC_LIB})
+	install(TARGETS handler_file_zbc DESTINATION ${CMAKE_INSTALL_LIBDIR}/tcmu-runner)
+endif (with-zbc)
 
 if (with-rbd)
 	find_library(LIBRBD rbd)
@@ -205,12 +229,20 @@
 	  )
 	target_link_libraries(handler_rbd
 	  ${LIBRBD}
+	  ${TCMALLOC_LIB}
 	  )
 	install(TARGETS handler_rbd DESTINATION ${CMAKE_INSTALL_LIBDIR}/tcmu-runner)
 endif (with-rbd)
 
 if (with-glfs)
 	find_library(GFAPI gfapi)
+
+    set(GFAPI_VERSION760 0)
+
+    pkg_check_modules(GFAPI760 glusterfs-api>=7.6 QUIET)
+	if (GFAPI760_FOUND)
+		set(GFAPI_VERSION760 1)
+	endif (GFAPI760_FOUND)
 
 	# Stuff for building the glfs handler
 	add_library(handler_glfs
@@ -226,6 +258,7 @@
 	  )
 	target_link_libraries(handler_glfs
 	  ${GFAPI}
+	  ${TCMALLOC_LIB}
 	  )
 	install(TARGETS handler_glfs DESTINATION ${CMAKE_INSTALL_LIBDIR}/tcmu-runner)
 endif (with-glfs)
@@ -255,6 +288,7 @@
 	endif (HAVE_LINUX_FALLOC)
 	target_link_libraries(handler_qcow
 	  ${ZLIB_LIBRARIES}
+	  ${TCMALLOC_LIB}
 	  )
 	install(TARGETS handler_qcow DESTINATION ${CMAKE_INSTALL_LIBDIR}/tcmu-runner)
 endif (with-qcow)
