=== debian/changelog ===
tcmu (1.5.2-6) unstable; urgency=high

  * Fix CVE-2021-3139 (Closes: #980007)

 -- Sebastien Delafond <seb@debian.org>  Mon, 18 Jan 2021 09:26:23 +0100

tcmu (1.5.2-5) unstable; urgency=medium

  * Re-enable rbd support on mipsel now that ceph can be built again
    (Closes: #949881)

 -- Sebastien Delafond <seb@debian.org>  Mon, 27 Jan 2020 08:20:22 +0100

tcmu (1.5.2-4) unstable; urgency=medium

  * Build without rbd support on mipsel (Closes: #948723)

 -- Sebastien Delafond <seb@debian.org>  Fri, 24 Jan 2020 17:00:41 +0100

tcmu (1.5.2-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix 32 bit builds with -Werror.
    Thanks to James Page <james.page@ubuntu.com> (Closes: #946460)
  * Add Pre-Depends with substvars so that the appropriate init-system-helpers
    dependency gets added.

 -- Raphaël Hertzog <raphael@freexian.com>  Wed, 11 Dec 2019 11:17:54 +0100

tcmu (1.5.2-2) unstable; urgency=medium

  * Team upload.
  * Disable -Werror to fix FTBFS on 32 bit architectures.

 -- Raphaël Hertzog <raphael@freexian.com>  Mon, 21 Oct 2019 14:39:15 +0200

tcmu (1.5.2-1) unstable; urgency=medium

  * Team upload
  * Move git repository to debian namespace
  * Bump Standards-Version to 4.4.1
  * Switch to debhelper compat level 12
  * New upstream version 1.5.2
  * Ran wrap-and-sort -s
  * Drop our patches, merged upstream.
  * Don't build against tcmalloc
  * Update symbols file for new release
  * Handle file installation in a more usual way

 -- Raphaël Hertzog <raphael@freexian.com>  Mon, 21 Oct 2019 11:54:29 +0200

tcmu (1.4.0-2) unstable; urgency=medium

  [ Mathieu Parent ]
  * Handle libtcmu2.install on non-amd64 arches
  * Fix package-needs-versioned-debhelper-build-depends 12
  * Fix: file-contains-trailing-whitespace debian/changelog (line 6)
  * Fix debian-watch-file-is-missing
  * Fix using-first-person-in-description line N: we
  * Add debian/libtcmu2.symbols
  * Add "Debian pipeline for Developers"
  * Add README.md to tcmu-runner
  * Allow failure of reprotest
  * Add tcmu-runner init.d service

  [ Frédéric Bonnard ]
  * Fix FTBFS on ppc64*/mips64el (Closes: #939265)
  * Fix Vcs-* fields
  * Complete previous fix on ppc64el

 -- Sebastien Delafond <seb@debian.org>  Mon, 23 Sep 2019 09:11:34 +0200
