=== debian/control ===
--- 
+++ 
@@ -3,16 +3,26 @@
 Priority: optional
 Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
 Uploaders: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 12), cmake, kmod, libkmod-dev, libglib2.0-dev, libnl-genl-3-dev, pkg-config, zlib1g-dev, librbd-dev, librados-dev
-Standards-Version: 4.3.0
+Build-Depends:
+ cmake,
+ debhelper-compat (= 12),
+ kmod,
+ libglib2.0-dev,
+ libkmod-dev,
+ libnl-genl-3-dev,
+ librados-dev,
+ librbd-dev,
+ pkg-config,
+ zlib1g-dev
+Standards-Version: 4.4.1
 Homepage: https://github.com/open-iscsi/tcmu-runner
-Vcs-Browser: https://salsa.debian.org/freexian-team/tcmu-runner
-Vcs-Git: https://salsa.debian.org/freexian-team/tcmu-runner.git
+Vcs-Browser: https://salsa.debian.org/debian/tcmu
+Vcs-Git: https://salsa.debian.org/debian/tcmu.git
 
 Package: libtcmu2
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Library that handles the userspace side of the LIO TCM-User backstore
  LIO is the SCSI target in the Linux kernel. It is entirely kernel
  code, and allows exported SCSI logical units (LUNs) to be backed by
@@ -39,7 +49,8 @@
 
 Package: tcmu-runner
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Daemon that handles the userspace side of the LIO TCM-User backstore
  LIO is the SCSI target in the Linux kernel. It is entirely kernel
  code, and allows exported SCSI logical units (LUNs) to be backed by
