## tcmu 1.5.4

=== debian/changelog ===
tcmu (1.5.4-10) unstable; urgency=medium

  * QA upload.
  * Fix building with CMake 4.  (Closes: #1113561)
  * Drop redundant Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 30 Sep 2025 23:56:39 +0200

tcmu (1.5.4-9) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=format-security.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Apr 2024 15:28:18 +0200

tcmu (1.5.4-8) unstable; urgency=medium

  * QA upload.
  * Hardcode the list of 32-bit architectures.  (Closes: #1069453)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Apr 2024 12:46:27 +0200

tcmu (1.5.4-7) unstable; urgency=medium

  * QA upload.
  * Restrict librados-dev build-dependency to 64-bit architectures.
    (Closes: #1069453)
  * Add upstream metadata.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Apr 2024 10:20:23 +0200

tcmu (1.5.4-6) unstable; urgency=medium

  * QA upload.
  * Restrict librbd-dev build-dependency to 64-bit architectures.
    (Closes: #1053169)
  * Clean more generated files.  (Closes: #1046607)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Mar 2024 17:46:11 +0100

tcmu (1.5.4-5) unstable; urgency=medium

  * QA upload.
  * Build-Depends: pkgconf instead of transitional pkg-config
  * Let systemd.pc decide place for systemd system units

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 09 Dec 2023 15:29:26 +0100

tcmu (1.5.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Ship systemd unit under /lib/systemd/system so that it can get picked
    up by dh_installsystemd. Closes: #1034214

 -- Cyril Brulebois <kibi@debian.org>  Tue, 25 Apr 2023 17:51:40 +0000

tcmu (1.5.4-4) unstable; urgency=medium

  * QA upload.
  * Add fix-use-after-free.patch. Closes: #1013050
  * d/p/series: Remove mention of non-existing patches.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 23 Jul 2022 23:53:15 +0200

tcmu (1.5.4-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Pass arguments to cmake to avoid reproducibility issues.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Update to debhelper-compat 13.
  * debian/control: Update to Standards-Version 4.6.1.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 10 Jul 2022 14:54:28 -0700

tcmu (1.5.4-2) unstable; urgency=medium

  * QA upload.
  * fix lintian warning about odd systemd service location
  * Bump standards version

 -- Neil Williams <codehelp@debian.org>  Fri, 24 Sep 2021 14:08:43 +0100

tcmu (1.5.4-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.5.4
  * Rediff patches
  * Bump-up Standards-Version
  * Update d/libtcmu2.symbols

 -- Sebastien Delafond <seb@debian.org>  Mon, 12 Apr 2021 12:10:12 +0200
