=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: tcmu
 Section: admin
 Priority: optional
-Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
-Uploaders: Sebastien Delafond <seb@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  kmod,
  libglib2.0-dev,
  libkmod-dev,
  libnl-genl-3-dev,
- librados-dev,
- librbd-dev,
- pkg-config,
+ librados-dev [!armel !armhf !any-i386 !hppa !m68k !powerpc !sh4 !x32],
+ librbd-dev [!armel !armhf !any-i386 !hppa !m68k !powerpc !sh4 !x32],
+ pkgconf,
+ systemd-dev,
  zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/open-iscsi/tcmu-runner
 Vcs-Browser: https://salsa.debian.org/debian/tcmu
 Vcs-Git: https://salsa.debian.org/debian/tcmu.git
