=== debian/rules ===
#!/usr/bin/make -f
export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export CMAKE_OPTIONS := \
  -Dwith-glfs=false \
  -Dwith-tcmalloc=false \
  -Dwith-rbd=$(if $(wildcard /usr/include/rbd/librbd.h),true,false) \
  -DSUPPORT_SYSTEMD=ON \
  -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
  -DCMAKE_INSTALL_PREFIX=/usr

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_OPTIONS)

override_dh_auto_install:
	dh_auto_install
	# List files available
	find debian/tmp

override_dh_missing:
	dh_missing --fail-missing
