=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tcmu-runner-$1.tar.gz%" \
     https://github.com/open-iscsi/tcmu-runner/tags \
     (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
